Subject: Re: Colours in VIM
From: [email-masked]
To: "Fergus at56" <[email-masked]>
Cc: [email-masked]
Date: Wed, 17 Oct 2001 15:54:17 -0400

Fergus
Yeah right ! it worked !! Thanks a ton ! This can be on the cygwin help
file. I will be REALLY happy to know which variable of all the 'set'  vars
is really responsible for the color.

Also, I have another question. When I look up a 'man' page for any of the
entry and if I close 'man' with controlC, the command line becomes
invisible though it looks like it can understand the command typed and can
execute it. It only blinds the user typing the command. Is it a known bug
or is there a solution?

Thanks
Raj

"Fergus at56" <[email-masked]> on 10/17/2001 01:45:58 PM

Please respond to "Fergus at56" <[email-masked]>

To:   Raj X. Kovvali/VEND/MD/Verizon@VZNotes
cc:   "Fergus on Linux" <[email-masked]>
Subject:  Colours in VIM

Raj,

I look at the Cygwin list by lurking at www.cygwin.com/ml/cygwin without
actually being subscribed, so this answer comes to you direct.
The problem with the recent inatallation of vim is that (for some reason)
it
lacks the startup file that earlier vesions had. So: place in your home
directory (/home/raj/ or whatever) a file called .vimrc (note the dot)
containing

set nocompatible
set backspace=indent,eol,start
set backup
set history=50
set ruler
set background=dark
set showcmd
set incsearch
syntax on
set hlsearch

or, to make it accessible to all users, put these lines in a file called
vimrc (no dot) in the /usr/share/vim/ directory.

Hope this helps.

Fergus

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/